UILoadBundle (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.ajax4jsf.component.UILoadBundle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class UILoadBundle

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.ajax4jsf.component.UILoadBundle

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxLoadBundleComponent

Direct Known Subclasses:
  AjaxLoadBundle

    public abstract class UILoadBundle

extends javax.faces.component.UIComponentBase
implements org.ajax4jsf.component.AjaxLoadBundleComponent

Author:
  shura

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UILoadBundle()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext context)`
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`abstract java.lang.String` | `getBasename()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getRendererType()`
`abstract java.lang.String` | `getVar()`
`void` | `loadBundle(javax.faces.context.FacesContext context)`
`abstract void` | `setBasename(java.lang.String basename)`
`abstract void` | `setVar(java.lang.String var)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UILoadBundle

    public UILoadBundle()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `javax.faces.component.UIComponentBase`
  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext context)

  Overrides:
    `decode` in class `javax.faces.component.UIComponentBase`

### loadBundle

    public void loadBundle(javax.faces.context.FacesContext context)

  Parameters:
    `context` -

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `javax.faces.component.UIComponentBase`

### getBasename

    public abstract java.lang.String getBasename()

  Returns:
    Returns the basename.

### setBasename

    public abstract void setBasename(java.lang.String basename)

  Parameters:
    `basename` - The basename to set.

### getVar

    public abstract java.lang.String getVar()

  Returns:
    Returns the var.

### setVar

    public abstract void setVar(java.lang.String var)

  Parameters:
    `var` - The var to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.